| The Red Matrix

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- File List
- File Members

All Classes Namespaces Files Functions Variables Pages
Functions
zfinger.php File Reference

## Functions
| zfinger_init (&$a)

## Function Documentation

zfinger_init | ( | & | $a | ) |

The special address '[system]' will return a system channel if one has been defined, Or the first valid channel we find if there are no system channels.

This is used by magic-auth if we have no prior communications with this site - and returns an identity on this site which we can use to create a valid hub record so that we can exchange signed messages. The precise identity is irrelevant. It's the hub information that we really need at the other end - and this will return it.

Referenced by _well_known_init().